---
title: "Search public groups"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/groups.search
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Search public groups

Search public Telegram groups by keyword from an account. Follow the operation for hits.

Search public Telegram groups by keyword from an account. Follow the operation for hits.

## Overview

| Name | Value |
| --- | --- |
| Code | `groups.search` |
| Scope needed | `discovery.write` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Queues work for a node |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | Discover → Search groups |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `accountId` | `uuid` | Yes |   |
| `query` | `text` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/groups.search \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"accountId":"00000000-0000-0000-0000-000000000000","query":"…"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `searchId` | `text` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "searchId": "00000000-0000-4000-8000-000000000000"
  }
}
```

## Using it over MCP

Tool `groups_search` is listed on the profiles: Discover (`prospecting`). On other profiles, find it with `tools_search` and run it with `tools_run`.
